Bug 1357420 - Unicode 9.0 support
Unicode 9.0 support
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mike FABIAN
ChangeAcceptedF25, SystemWideChange
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-07-18 03:50 EDT by Jan Kurik
Modified: 2016-11-22 08:58 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-22 08:58:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kurik 2016-07-18 03:50:53 EDT
This is a tracking bug for Change: Unicode 9.0 support
For more details, see: https://fedoraproject.org//wiki/Changes/Unicode_9.0

Unicode 9.0 got released on 21th June 2016. Version 9.0 adds 7,500 characters, including six new scripts and 72 new emoji characters. These new script provide support for languages Osage, Nepal Bhasa, Fulani and other African languages, The Bravanese dialect of Swahili, used in Somalia, The Warsh orthography for Arabic and Tangut, a major historic script of China.
Comment 1 Yaakov Selkowitz 2016-07-19 02:47:03 EDT
Should updating gucharmap to 9.0.0 (bug 1319468) be part of this Change?
Comment 2 Pravin Satpute 2016-07-20 01:20:01 EDT
Hi Yaakov,
  Unicode 9.0 support is more like umbrella change proposal and all libraries application depending upon it must get updated and part of this change proposal. 

  Feel free to update https://fedoraproject.org//wiki/Changes/Unicode_9.0#Detailed_Description and add gucharmap update for Unicode 9.0

  I am not aware with internals of gucharmap, does it pulls character DB from some libraries? basically what changes.

  I hope gradually we will able to understand all components of Fedora which required Unicode version update.
Comment 3 Mike FABIAN 2016-07-20 02:14:35 EDT
The update for glibc was pushed to rawhide and built on 2016-07-09.
Comment 4 Jan Kurik 2016-07-26 00:43:17 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 5 Jan Kurik 2016-07-26 01:22:33 EDT
On 2016-July-26, we have reached Fedora 25 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo on 2016-July-29 meeting.
Comment 6 Mike FABIAN 2016-07-26 02:04:04 EDT
I added a patch for Unicode 9.0.0 to our glibc package and pushed it to rawhide
on 2016-06-29.

Note You need to log in before you can comment on or make changes to this bug.